EDIT - task #6759
feature request # 6169 (Closed): Algae Registry web-application

better theming of the on/off SwitchButton which is used in SwitchableTextField component

06/27/2017 11:13 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 4.8

Severity: normal

Description

using dom elements is much better!

the switch addon has been forked: https:/github.com/akohlbecker/Switch .

The enhanced version has the version number : 2.0.4-SNAPSHOT

Associated revisions

Revision 240a4ed8 - 06/28/2017 08:14 AM - Andreas Kohlbecker

ref #6759 using new icon style of switch

Revision 93260750 - 06/28/2017 09:25 PM - Andreas Kohlbecker

ref #6759 using new dom style of switch

Revision 05ce2673 - 06/29/2017 08:36 AM - Andreas Kohlbecker
fix #6759 last layout adjustment

Revision 65ac8231 - 06/29/2017 10:57 AM - Andreas Kohlbecker

fix #6759 using valo theme support included into the addon

Revision 4f93e06f - 07/04/2017 04:23 PM - Andreas Kohlbecker

ref #6759 importing switch-valo theme

History

#1 - 06/29/2017 08:36 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|05ce267344eccdf11e64c290ab49768ebfb121e3.

#2 - 06/29/2017 10:57 AM - Andreas Kohlbecker

- Description updated

#3 - 06/29/2017 10:58 AM - Andreas Kohlbecker

- Status changed from Resolved to Closed

#4 - 09/03/2019 04:30 PM - Andreas Kohlbecker
- % Done changed from 50 to 100

04/19/2024

1/1



https://github.com/akohlbecker/Switch
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/05ce267344eccdf11e64c290ab49768ebfb121e3
http://www.tcpdf.org

